Index: sansmodels/src/libigor/libCylinder.c
===================================================================
--- sansmodels/src/libigor/libCylinder.c	(revision 975ec8e8211549489759b5a5ffe3b60607de065b)
+++ sansmodels/src/libigor/libCylinder.c	(revision 7d11b819fc9ff04b87232ef46a1a149089e38352)
@@ -113,7 +113,7 @@
 
 		//now calculate outer integral
-		arg = q*length*zi/2;
-		if (arg == 0){
-			si = 1;
+		arg = q*length*zi/2.0;
+		if (arg == 0.0){
+			si = 1.0;
 		}else{
 			si = sin(arg) * sin(arg) / arg / arg;
@@ -194,6 +194,6 @@
 		//now calculate outer integral
 		arg = q*length*zi/2;
-		if (arg == 0){
-			si = 1;
+		if (arg == 0.0){
+			si = 1.0;
 		}else{
 			si = sin(arg) * sin(arg) / arg / arg;
@@ -278,5 +278,5 @@
 	answer *= delrho*delrho;
 	//normalize by ellipsoid volume
-	answer *= 4*Pi/3*aa*bb*cc;
+	answer *= 4.0*Pi/3.0*aa*bb*cc;
 	//convert to [cm-1]
 	answer *= 1.0e8;
@@ -1732,11 +1732,11 @@
 	vc = pi43*aa*bb*bb;
 	vt = pi43*trmaj*trmin*trmin;
-   	if (uq == 0){
-   		siq = 1/3;
+   	if (uq == 0.0){
+   		siq = 1.0/3.0;
    	}else{
    		siq = (sin(uq)/uq/uq - cos(uq)/uq)/uq;
    	}
-   	if (ut == 0){
-   		sit = 1/3;
+   	if (ut == 0.0){
+   		sit = 1.0/3.0;
    	}else{
    		sit = (sin(ut)/ut/ut - cos(ut)/ut)/ut;
@@ -1773,11 +1773,11 @@
 	vc = pi43*aa*aa*bb;
    	vt = pi43*trmaj*trmaj*trmin;
-   	if (uq == 0){
-   		siq = 1/3;
+   	if (uq == 0.0){
+   		siq = 1.0/3.0;
    	}else{
    		siq = (sin(uq)/uq/uq - cos(uq)/uq)/uq;
    	}
-   	if (ut == 0){
-   		sit = 1/3;
+   	if (ut == 0.0){
+   		sit = 1.0/3.0;
    	}else{
    		sit = (sin(ut)/ut/ut - cos(ut)/ut)/ut;
@@ -1885,21 +1885,21 @@
 	sinarg1 = qq*length*cos(dum);
 	sinarg2 = qq*(length+facthick)*cos(dum);
-	if (besarg1 == 0){
+	if (besarg1 == 0.0){
 		be1 = 0.5;
 	}else{
 		be1 = NR_BessJ1(besarg1)/besarg1;
 	}
-	if (besarg2 == 0){
+	if (besarg2 == 0.0){
 		be2 = 0.5;
 	}else{
 		be2 = NR_BessJ1(besarg2)/besarg2;
 	}
-	if (sinarg1 == 0){
-		si1 = 1;
+	if (sinarg1 == 0.0){
+		si1 = 1.0;
 	}else{
 		si1 = sin(sinarg1)/sinarg1;
 	}
-	if (besarg2 == 0){
-		si2 = 1;
+	if (besarg2 == 0.0){
+		si2 = 1.0;
 	}else{
 		si2 = sin(sinarg2)/sinarg2;
@@ -1934,21 +1934,21 @@
     sinarg2 = qq*(length+thick)*cos(dum);
 
-	if (besarg1 == 0){
+	if (besarg1 == 0.0){
 		be1 = 0.5;
 	}else{
 		be1 = NR_BessJ1(besarg1)/besarg1;
 	}
-	if (besarg2 == 0){
+	if (besarg2 == 0.0){
 		be2 = 0.5;
 	}else{
 		be2 = NR_BessJ1(besarg2)/besarg2;
 	}
-	if (sinarg1 == 0){
-		si1 = 1;
+	if (sinarg1 == 0.0){
+		si1 = 1.0;
 	}else{
 		si1 = sin(sinarg1)/sinarg1;
 	}
-	if (besarg2 == 0){
-		si2 = 1;
+	if (besarg2 == 0.0){
+		si2 = 1.0;
 	}else{
 		si2 = sin(sinarg2)/sinarg2;
@@ -2024,27 +2024,27 @@
 	sinarg2 = qq*(length+thick)*cos(dum);
 
-	if (besarg1 == 0){
+	if (besarg1 == 0.0){
 		be1 = 0.5;
 	}else{
 		be1 = NR_BessJ1(besarg1)/besarg1;
 	}
-	if (besarg2 == 0){
+	if (besarg2 == 0.0){
 		be2 = 0.5;
 	}else{
 		be2 = NR_BessJ1(besarg2)/besarg2;
 	}
-	if (sinarg1 == 0){
-		si1 = 1;
+	if (sinarg1 == 0.0){
+		si1 = 1.0;
 	}else{
 		si1 = sin(sinarg1)/sinarg1;
 	}
-	if (besarg2 == 0){
-		si2 = 1;
+	if (besarg2 == 0.0){
+		si2 = 1.0;
 	}else{
 		si2 = sin(sinarg2)/sinarg2;
 	}
 
-	t1 = 2*area*(2*length)*dr1*(si1)*(be1);
-	t2 = 2*area*dr2*(totald*si2-2*length*si1)*(be2);
+	t1 = 2.0*area*(2.0*length)*dr1*(si1)*(be1);
+	t2 = 2.0*area*dr2*(totald*si2-2.0*length*si1)*(be2);
 
 	retval =((t1+t2)*(t1+t2))*sin(dum);
@@ -2139,11 +2139,11 @@
     nu = nua/a;
     arg = qq*a*sqrt(1+dum*dum*(nu*nu-1));
-    if (arg == 0){
-    	retval =1/3;
+    if (arg == 0.0){
+    	retval =1.0/3.0;
     }else{
     	retval = (sin(arg)-arg*cos(arg))/(arg*arg*arg);
     }
     retval *= retval;
-    retval *= 9;
+    retval *= 9.0;
 
     return(retval);
@@ -2158,19 +2158,19 @@
     arg1 = qq*rshell*sqrt(1-dum*dum);		//1=shell (outer radius)
     arg2 = qq*rcore*sqrt(1-dum*dum);			//2=core (inner radius)
-    if (arg1 == 0){
-    	lam1 = 1;
+    if (arg1 == 0.0){
+    	lam1 = 1.0;
     }else{
-    	lam1 = 2*NR_BessJ1(arg1)/arg1;
+    	lam1 = 2.0*NR_BessJ1(arg1)/arg1;
     }
-    if (arg2 == 0){
-    	lam2 = 1;
+    if (arg2 == 0.0){
+    	lam2 = 1.0;
     }else{
-    	lam2 = 2*NR_BessJ1(arg2)/arg2;
+    	lam2 = 2.0*NR_BessJ1(arg2)/arg2;
     }
     //Todo: Need to check psi behavior as gamma goes to 1.
-    psi = 1/(1-gamma*gamma)*(lam1 -  gamma*gamma*lam2);		//SRK 10/19/00
-    sinarg = qq*length*dum/2;
-    if (sinarg == 0){
-    	t2 = 1;
+    psi = 1.0/(1.0-gamma*gamma)*(lam1 -  gamma*gamma*lam2);		//SRK 10/19/00
+    sinarg = qq*length*dum/2.0;
+    if (sinarg == 0.0){
+    	t2 = 1.0;
     }else{
     	t2 = sin(sinarg)/sinarg;
@@ -2193,12 +2193,12 @@
     arg1 = (mu/2)*cos(Pi*uu/2);
     arg2 = (mu*aa/2)*sin(Pi*uu/2);
-    if(arg1==0) {
-		tmp1 = 1;
+    if(arg1==0.0) {
+		tmp1 = 1.0;
 	} else {
 		tmp1 = sin(arg1)*sin(arg1)/arg1/arg1;
     }
 
-    if (arg2==0) {
-		tmp2 = 1;
+    if (arg2==0.0) {
+		tmp2 = 1.0;
 	} else {
 		tmp2 = sin(arg2)*sin(arg2)/arg2/arg2;
@@ -2222,8 +2222,8 @@
     arg += cc*cc*dy*dy;
     arg = q*sqrt(arg);
-    if (arg == 0){
-    	val = 1; // as arg --> 0, val should go to 1.0
+    if (arg == 0.0){
+    	val = 1.0; // as arg --> 0, val should go to 1.0
     }else{
-    	val = 9 * ( (sin(arg) - arg*cos(arg))/(arg*arg*arg) ) * ( (sin(arg) - arg*cos(arg))/(arg*arg*arg) );
+    	val = 9.0 * ( (sin(arg) - arg*cos(arg))/(arg*arg*arg) ) * ( (sin(arg) - arg*cos(arg))/(arg*arg*arg) );
     }
     return (val);
@@ -2259,11 +2259,11 @@
     d1 = qq * rr * sin(theta);
     b2 = d1 * d1;
-    if (besarg == 0){
+    if (besarg == 0.0){
     	be = sin(theta);
     }else{
     	be = t2 / b2;
     }
-    if (siarg == 0){
-    	si = 1;
+    if (siarg == 0.0){
+    	si = 1.0;
     }else{
     	si = t1 / b1;
@@ -2287,8 +2287,8 @@
 
 	arg = qq*ra*sqrt((1+nu*nu)/2+(1-nu*nu)*cos(theta)/2);
-	if (arg == 0){
-		retval = 1;
+	if (arg == 0.0){
+		retval = 1.0;
 	}else{
-		retval = 2*NR_BessJ1(arg)/arg;
+		retval = 2.0*NR_BessJ1(arg)/arg;
 	}
 
